/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>


void BleStackHandler(uint32 event, void* eventParam) {

CYBLE_GAPC_ADV_REPORT_T advreport = *(CYBLE_GAPC_ADV_REPORT_T *)eventParam;

  switch(event) {

    case CYBLE_EVT_STACK_ON:
      CyBle_GapcStartScan(CYBLE_SCANNING_FAST);
      break;
    
    case CYBLE_EVT_GAPC_SCAN_START_STOP:
      break;
        
    case CYBLE_EVT_GAPC_SCAN_PROGRESS_RESULT:
      UART_PutChar('a');    
      break;
  }
}
int main()
{
    CyGlobalIntEnable; 
		CyBle_Start(BleStackHandler);
    UART_Start();
    
    for(;;){
      CyBle_ProcessEvents(); 
    }
}

/* [] END OF FILE */
